Delete Node
curl --request DELETE \
--url https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId}"
headers = {"Authorization": "<authorization>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Delete Node
Delete a node and its connected edges
DELETE
/
v1
/
projects
/
{projectId}
/
pathway
/
nodes
/
{nodeId}
Delete Node
Request
DELETE https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId}
Path Parameters
string
required
The project ID
string
required
The node ID
Headers
string
required
Bearer token using your developer key
Response
Returns the list of edges that were also deleted due to the node removal.{
"message": "Node deleted",
"deletedEdges": ["edge-1", "edge-3"]
}
All edges connected to this node (as source or target) will be automatically deleted.
⌘I
